## Description

* Enable item upgrades past their natural maximum quality levels. Limits configured per item type (e.g. swords, shields, capes) or individual items.
* Game must be restarted uppon changing the configs.

## Join me on discord to report bugs and give me feedback:

Link: <a href="https://discord.gg/gSQHmE3yap">https://discord.gg/gSQHmE3yap</a>

## Release notes:

### v1.1.1
* Fixed a bug preventing custom items from being upgraded.

### v1.1.0
* Possibility to include custom/modded crafting stations, so that items crafted at these stations can also be upgraded beyond their natural levels.

### v1.0.6
* If option 'Include Naturally Unupgradable Items' is enabled, and the item to be upgraded does not contain any pre-configured upgrade recipe, it will take the craft recipe as a base, divided by two per quality level. Stacks with the value defined in 'Materials Required Per Level'. E.g. an item costs 30 chitin to craft, but is is naturally not upgradable. The option to force an upgrade on such item is enabled, and the value of 'Materials Required Per Level' is 60%. The cost per upgrade will be 30 x 50% x 60% = 9 chitin per quality level.

### v1.0.5
* Added an 'Item Ignore List', in which you can add items that should be exceptionally upgradable only up to its vanilla default level, regardless of the generic settings per item type.
* Fixed a 'bug' which was causing some modded items that should not be upgradable at all (e.g. food), when having the 'Include Naturally Unupgradable Items' option enabled, upgradable.

### v1.0.4
* One minor bug fix with the previous update.

### v1.0.3
* Enabled compatibility with Warfare mod.
* Possibility to specify item prefabs instead of item tokens in the custom item list.
* Added an 'Upgrade Required Level Divisor' entry, which determines how many times an item can be upgraded per one station extension level (e.g. a value of '2' would mean that an item will require a new extension every 2 upgrades, not 1 as per default).

### v1.0.2
* Fixed a bug with items not being upgraded beyond their capacity in the black forge.

### v1.0.1
* Fixed a bug preventing upgrading items that require a crafting station with a level higher than one just for crafting the base item.
* Fixed a bug which was not correctly recognizing tools.

### v1.0.0
* Initial release.